/*
 * Copyright (c) 1993-2003
 *      Texas A&M University.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by Texas A&M University
 *      and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE UNIVERSITY AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE UNIVERSITY OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * Developers:
 *     Russell Neeper, David K. Hess, Douglas Lee Schales, David R. Safford,
 *     Wm. Daryl Hawkins
 *
 * $Id: test.c,v 1.1.1.1 2004/01/06 21:09:54 daryl Exp $
 *
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <netgraph.h>
#include "/usr/src/sys/netgraph/ng_drawbridge.h"

int main()
{
	static struct ng_drawbridge_stats theStats;
	char name[NG_NODELEN+1];
	int cskt;
	u_char buffer[1024];
	struct ng_mesg *const m = (struct ng_mesg *) buffer;
	char path[NG_PATHLEN+1];
	int pktlen,token;
	
	if(NgMkSockNode("dbmgr",&cskt,NULL) < 0) {
		printf("Node creation error!\n");
		return(-1);
	}
	while(1) {
		if (token = NgSendMsg(cskt,"drawbridge:",NGM_DRAWBRIDGE_COOKIE,NGM_DRAWBRIDGE_GET_STATS,NULL,0) < 0) {
			printf("Send message error!\n");
			return(-1);
		}
		if(pktlen = NgRecvMsg(cskt,m,sizeof(buffer),path) < 0) {
			printf("Receive message error!\n");
			return(-1);
		}
		else
			bcopy((struct ng_drawbridge_stats *)&m->data,&theStats,sizeof(struct ng_drawbridge_stats));
		printf("p_insideRx: %ld\n",theStats.p_insideRx);
	}
	
}
